/google-meet | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
google-meet_conference_records_get | Gets a conference record by conference ID. |
google-meet_conference_records_list | Lists the conference records. By default, ordered by start time and in descending order. |
google-meet_conference_records_participants_get | Gets a participant by participant ID. |
google-meet_conference_records_participants_list | Lists the participants in a conference record. By default, ordered by join time and in descending order. This API supports fields as standard parameters like every other API. However, when the fields request parameter is omitted, this API defaults to 'participants/*, next_page_token'. |
google-meet_conference_records_participants_participant_sessions_get | Gets a participant session by participant session ID. |
google-meet_conference_records_participants_participant_sessions_list | Lists the participant sessions of a participant in a conference record. By default, ordered by join time and in descending order. This API supports fields as standard parameters like every other API. However, when the fields request parameter is omitted this API defaults to 'participantsessions/*, next_page_token'. |
google-meet_conference_records_recordings_get | Gets a recording by recording ID. |
google-meet_conference_records_recordings_list | Lists the recording resources from the conference record. By default, ordered by start time and in ascending order. |
google-meet_conference_records_smart_notes_get | Gets smart notes by smart note ID. |
google-meet_conference_records_smart_notes_list | Lists the set of smart notes from the conference record. By default, ordered by start time and in ascending order. |
google-meet_conference_records_transcripts_entries_get | Gets a TranscriptEntry resource by entry ID. Note: The transcript entries returned by the Google Meet API might not match the transcription found in the Google Docs transcript file. This can occur when 1) we have interleaved speakers within milliseconds, or 2) the Google Docs transcript file is modified after generation. |
google-meet_conference_records_transcripts_entries_list | Lists the structured transcript entries per transcript. By default, ordered by start time and in ascending order. Note: The transcript entries returned by the Google Meet API might not match the transcription found in the Google Docs transcript file. This can occur when 1) we have interleaved speakers within milliseconds, or 2) the Google Docs transcript file is modified after generation. |
google-meet_conference_records_transcripts_get | Gets a transcript by transcript ID. |
google-meet_conference_records_transcripts_list | Lists the set of transcripts from the conference record. By default, ordered by start time and in ascending order. |
google-meet_spaces_create | Creates a space. |
google-meet_spaces_end_active_conference | Ends an active conference (if there’s one). For an example, see End active conference. |
google-meet_spaces_get | Gets details about a meeting space. For an example, see Get a meeting space. |
google-meet_spaces_patch | Updates details about a meeting space. For an example, see Update a meeting space. |
google-meet_conference_records_get
Gets a conference record by conference ID. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conferenceRecordsId | string | Yes | — | The conference record ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conferenceRecordsId": {
"type": "string",
"description": "The conference record ID."
}
},
"required": [
"PCID",
"conferenceRecordsId"
]
}
google-meet_conference_records_list
Lists the conference records. By default, ordered by start time and in descending order. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
pageSize | integer | No | — | Optional. Maximum number of conference records to return. The service might return fewer than this value. If unspecified, at most 25 conference records are returned. The maximum value is 100; values above 100 are coerced to 100. Maximum might change in the future. |
pageToken | string | No | — | Optional. Page token returned from previous List Call. |
filter | string | No | — | Optional. User specified filtering condition in EBNF format. The following are the filterable fields: * space.meeting_code * space.name * start_time * end_time For example, consider the following filters: * space.name = "spaces/NAME" * space.meeting_code = "abc-mnop-xyz" * start_time>="2024-01-01T00:00:00.000Z" AND start_time<="2024-01-02T00:00:00.000Z" * end_time IS NULL |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"pageSize": {
"type": "integer",
"description": "Optional. Maximum number of conference records to return. The service might return fewer than this value. If unspecified, at most 25 conference records are returned. The maximum value is 100; values above 100 are coerced to 100. Maximum might change in the future."
},
"pageToken": {
"type": "string",
"description": "Optional. Page token returned from previous List Call."
},
"filter": {
"type": "string",
"description": "Optional. User specified filtering condition in [EBNF format](https://en.wikipedia.org/wiki/Extended_Backus%E2%80%93Naur_form). The following are the filterable fields: * `space.meeting_code` * `space.name` * `start_time` * `end_time` For example, consider the following filters: * `space.name = \"spaces/NAME\"` * `space.meeting_code = \"abc-mnop-xyz\"` * `start_time>=\"2024-01-01T00:00:00.000Z\" AND start_time<=\"2024-01-02T00:00:00.000Z\"` * `end_time IS NULL`"
}
},
"required": [
"PCID"
]
}
google-meet_conference_records_participants_get
Gets a participant by participant ID. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conferenceRecordsId | string | Yes | — | The conference record ID. |
participantsId | string | Yes | — | The participant ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conferenceRecordsId": {
"type": "string",
"description": "The conference record ID."
},
"participantsId": {
"type": "string",
"description": "The participant ID."
}
},
"required": [
"PCID",
"conferenceRecordsId",
"participantsId"
]
}
google-meet_conference_records_participants_list
Lists the participants in a conference record. By default, ordered by join time and in descending order. This API supportsfields as standard parameters like every other API. However, when the fields request parameter is omitted, this API defaults to 'participants/*, next_page_token'.
Parameters:
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conferenceRecordsId | string | Yes | — | The conference record ID. |
pageSize | integer | No | — | Maximum number of participants to return. The service might return fewer than this value. If unspecified, at most 100 participants are returned. The maximum value is 250; values above 250 are coerced to 250. Maximum might change in the future. |
pageToken | string | No | — | Page token returned from previous List Call. |
filter | string | No | — | Optional. User specified filtering condition in EBNF format. The following are the filterable fields: * earliest_start_time * latest_end_time For example, latest_end_time IS NULL returns active participants in the conference. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conferenceRecordsId": {
"type": "string",
"description": "The conference record ID."
},
"pageSize": {
"type": "integer",
"description": "Maximum number of participants to return. The service might return fewer than this value. If unspecified, at most 100 participants are returned. The maximum value is 250; values above 250 are coerced to 250. Maximum might change in the future."
},
"pageToken": {
"type": "string",
"description": "Page token returned from previous List Call."
},
"filter": {
"type": "string",
"description": "Optional. User specified filtering condition in [EBNF format](https://en.wikipedia.org/wiki/Extended_Backus%E2%80%93Naur_form). The following are the filterable fields: * `earliest_start_time` * `latest_end_time` For example, `latest_end_time IS NULL` returns active participants in the conference."
}
},
"required": [
"PCID",
"conferenceRecordsId"
]
}
google-meet_conference_records_participants_participant_sessions_get
Gets a participant session by participant session ID. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conferenceRecordsId | string | Yes | — | The conference record ID. |
participantsId | string | Yes | — | The participant ID. |
participantSessionsId | string | Yes | — | The participant session ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conferenceRecordsId": {
"type": "string",
"description": "The conference record ID."
},
"participantsId": {
"type": "string",
"description": "The participant ID."
},
"participantSessionsId": {
"type": "string",
"description": "The participant session ID."
}
},
"required": [
"PCID",
"conferenceRecordsId",
"participantsId",
"participantSessionsId"
]
}
google-meet_conference_records_participants_participant_sessions_list
Lists the participant sessions of a participant in a conference record. By default, ordered by join time and in descending order. This API supportsfields as standard parameters like every other API. However, when the fields request parameter is omitted this API defaults to 'participantsessions/*, next_page_token'.
Parameters:
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conferenceRecordsId | string | Yes | — | The conference record ID. |
participantsId | string | Yes | — | The participant ID. |
pageSize | integer | No | — | Optional. Maximum number of participant sessions to return. The service might return fewer than this value. If unspecified, at most 100 participants are returned. The maximum value is 250; values above 250 are coerced to 250. Maximum might change in the future. |
pageToken | string | No | — | Optional. Page token returned from previous List Call. |
filter | string | No | — | Optional. User specified filtering condition in EBNF format. The following are the filterable fields: * start_time * end_time For example, end_time IS NULL returns active participant sessions in the conference record. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conferenceRecordsId": {
"type": "string",
"description": "The conference record ID."
},
"participantsId": {
"type": "string",
"description": "The participant ID."
},
"pageSize": {
"type": "integer",
"description": "Optional. Maximum number of participant sessions to return. The service might return fewer than this value. If unspecified, at most 100 participants are returned. The maximum value is 250; values above 250 are coerced to 250. Maximum might change in the future."
},
"pageToken": {
"type": "string",
"description": "Optional. Page token returned from previous List Call."
},
"filter": {
"type": "string",
"description": "Optional. User specified filtering condition in [EBNF format](https://en.wikipedia.org/wiki/Extended_Backus%E2%80%93Naur_form). The following are the filterable fields: * `start_time` * `end_time` For example, `end_time IS NULL` returns active participant sessions in the conference record."
}
},
"required": [
"PCID",
"conferenceRecordsId",
"participantsId"
]
}
google-meet_conference_records_recordings_get
Gets a recording by recording ID. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conferenceRecordsId | string | Yes | — | The conference record ID. |
recordingsId | string | Yes | — | The recording ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conferenceRecordsId": {
"type": "string",
"description": "The conference record ID."
},
"recordingsId": {
"type": "string",
"description": "The recording ID."
}
},
"required": [
"PCID",
"conferenceRecordsId",
"recordingsId"
]
}
google-meet_conference_records_recordings_list
Lists the recording resources from the conference record. By default, ordered by start time and in ascending order. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conferenceRecordsId | string | Yes | — | The conference record ID. |
pageSize | integer | No | — | Maximum number of recordings to return. The service might return fewer than this value. If unspecified, at most 10 recordings are returned. The maximum value is 100; values above 100 are coerced to 100. Maximum might change in the future. |
pageToken | string | No | — | Page token returned from previous List Call. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conferenceRecordsId": {
"type": "string",
"description": "The conference record ID."
},
"pageSize": {
"type": "integer",
"description": "Maximum number of recordings to return. The service might return fewer than this value. If unspecified, at most 10 recordings are returned. The maximum value is 100; values above 100 are coerced to 100. Maximum might change in the future."
},
"pageToken": {
"type": "string",
"description": "Page token returned from previous List Call."
}
},
"required": [
"PCID",
"conferenceRecordsId"
]
}
google-meet_conference_records_smart_notes_get
Gets smart notes by smart note ID. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conferenceRecordsId | string | Yes | — | The conference record ID. |
smartNotesId | string | Yes | — | The smart note ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conferenceRecordsId": {
"type": "string",
"description": "The conference record ID."
},
"smartNotesId": {
"type": "string",
"description": "The smart note ID."
}
},
"required": [
"PCID",
"conferenceRecordsId",
"smartNotesId"
]
}
google-meet_conference_records_smart_notes_list
Lists the set of smart notes from the conference record. By default, ordered by start time and in ascending order. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conferenceRecordsId | string | Yes | — | The conference record ID. |
pageSize | integer | No | — | Optional. Maximum number of smart notes to return. The service might return fewer than this value. If unspecified, at most 10 smart notes are returned. The maximum value is 100; values above 100 are coerced to 100. Maximum might change in the future. |
pageToken | string | No | — | Optional. Page token returned from previous List Call. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conferenceRecordsId": {
"type": "string",
"description": "The conference record ID."
},
"pageSize": {
"type": "integer",
"description": "Optional. Maximum number of smart notes to return. The service might return fewer than this value. If unspecified, at most 10 smart notes are returned. The maximum value is 100; values above 100 are coerced to 100. Maximum might change in the future."
},
"pageToken": {
"type": "string",
"description": "Optional. Page token returned from previous List Call."
}
},
"required": [
"PCID",
"conferenceRecordsId"
]
}
google-meet_conference_records_transcripts_entries_get
Gets aTranscriptEntry resource by entry ID. Note: The transcript entries returned by the Google Meet API might not match the transcription found in the Google Docs transcript file. This can occur when 1) we have interleaved speakers within milliseconds, or 2) the Google Docs transcript file is modified after generation.
Parameters:
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conferenceRecordsId | string | Yes | — | The conference record ID. |
transcriptsId | string | Yes | — | The transcript ID. |
entriesId | string | Yes | — | The transcript entry ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conferenceRecordsId": {
"type": "string",
"description": "The conference record ID."
},
"transcriptsId": {
"type": "string",
"description": "The transcript ID."
},
"entriesId": {
"type": "string",
"description": "The transcript entry ID."
}
},
"required": [
"PCID",
"conferenceRecordsId",
"transcriptsId",
"entriesId"
]
}
google-meet_conference_records_transcripts_entries_list
Lists the structured transcript entries per transcript. By default, ordered by start time and in ascending order. Note: The transcript entries returned by the Google Meet API might not match the transcription found in the Google Docs transcript file. This can occur when 1) we have interleaved speakers within milliseconds, or 2) the Google Docs transcript file is modified after generation. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conferenceRecordsId | string | Yes | — | The conference record ID. |
transcriptsId | string | Yes | — | The transcript ID. |
pageSize | integer | No | — | Maximum number of entries to return. The service might return fewer than this value. If unspecified, at most 10 entries are returned. The maximum value is 100; values above 100 are coerced to 100. Maximum might change in the future. |
pageToken | string | No | — | Page token returned from previous List Call. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conferenceRecordsId": {
"type": "string",
"description": "The conference record ID."
},
"transcriptsId": {
"type": "string",
"description": "The transcript ID."
},
"pageSize": {
"type": "integer",
"description": "Maximum number of entries to return. The service might return fewer than this value. If unspecified, at most 10 entries are returned. The maximum value is 100; values above 100 are coerced to 100. Maximum might change in the future."
},
"pageToken": {
"type": "string",
"description": "Page token returned from previous List Call."
}
},
"required": [
"PCID",
"conferenceRecordsId",
"transcriptsId"
]
}
google-meet_conference_records_transcripts_get
Gets a transcript by transcript ID. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conferenceRecordsId | string | Yes | — | The conference record ID. |
transcriptsId | string | Yes | — | The transcript ID. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conferenceRecordsId": {
"type": "string",
"description": "The conference record ID."
},
"transcriptsId": {
"type": "string",
"description": "The transcript ID."
}
},
"required": [
"PCID",
"conferenceRecordsId",
"transcriptsId"
]
}
google-meet_conference_records_transcripts_list
Lists the set of transcripts from the conference record. By default, ordered by start time and in ascending order. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
conferenceRecordsId | string | Yes | — | The conference record ID. |
pageSize | integer | No | — | Maximum number of transcripts to return. The service might return fewer than this value. If unspecified, at most 10 transcripts are returned. The maximum value is 100; values above 100 are coerced to 100. Maximum might change in the future. |
pageToken | string | No | — | Page token returned from previous List Call. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"conferenceRecordsId": {
"type": "string",
"description": "The conference record ID."
},
"pageSize": {
"type": "integer",
"description": "Maximum number of transcripts to return. The service might return fewer than this value. If unspecified, at most 10 transcripts are returned. The maximum value is 100; values above 100 are coerced to 100. Maximum might change in the future."
},
"pageToken": {
"type": "string",
"description": "Page token returned from previous List Call."
}
},
"required": [
"PCID",
"conferenceRecordsId"
]
}
google-meet_spaces_create
Creates a space. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
config | object | No | — | The configuration pertaining to a meeting space. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"config": {
"type": "object",
"description": "The configuration pertaining to a meeting space.",
"properties": {
"accessType": {
"type": "string",
"description": "Access type of the meeting space that determines who can join without knocking. Default: The user's default access settings. Controlled by the user's admin for enterprise users or RESTRICTED.",
"enum": [
"ACCESS_TYPE_UNSPECIFIED",
"OPEN",
"TRUSTED",
"RESTRICTED"
]
},
"entryPointAccess": {
"type": "string",
"description": "Defines the entry points that can be used to join meetings hosted in this meeting space. Default: EntryPointAccess.ALL",
"enum": [
"ENTRY_POINT_ACCESS_UNSPECIFIED",
"ALL",
"CREATOR_APP_ONLY"
]
},
"moderation": {
"type": "string",
"description": "The pre-configured moderation mode for the Meeting. Default: Controlled by the user's policies.",
"enum": [
"MODERATION_UNSPECIFIED",
"OFF",
"ON"
]
},
"moderationRestrictions": {
"type": "object",
"description": "Defines restrictions for features when the meeting is moderated."
},
"attendanceReportGenerationType": {
"type": "string",
"description": "Whether attendance report is enabled for the meeting space.",
"enum": [
"ATTENDANCE_REPORT_GENERATION_TYPE_UNSPECIFIED",
"GENERATE_REPORT",
"DO_NOT_GENERATE"
]
},
"artifactConfig": {
"type": "object",
"description": "Configuration related to meeting artifacts potentially generated by this meeting space."
}
}
}
},
"required": [
"PCID"
]
}
google-meet_spaces_end_active_conference
Ends an active conference (if there’s one). For an example, see End active conference. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
spacesId | string | Yes | — | The space ID. For example, jQCFfuBOdN5z. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"spacesId": {
"type": "string",
"description": "The space ID. For example, `jQCFfuBOdN5z`."
}
},
"required": [
"PCID",
"spacesId"
]
}
google-meet_spaces_get
Gets details about a meeting space. For an example, see Get a meeting space. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
spacesId | string | Yes | — | The space ID. For example, jQCFfuBOdN5z. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"spacesId": {
"type": "string",
"description": "The space ID. For example, `jQCFfuBOdN5z`."
}
},
"required": [
"PCID",
"spacesId"
]
}
google-meet_spaces_patch
Updates details about a meeting space. For an example, see Update a meeting space. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
spacesId | string | Yes | — | The space ID. For example, jQCFfuBOdN5z. |
updateMask | string | No | — | Optional. Field mask used to specify the fields to be updated in the space. If update_mask isn’t provided(not set, set with empty paths, or only has "" as paths), it defaults to update all fields provided with values in the request. Using ”*” as update_mask will update all fields, including deleting fields not set in the request. |
config | object | No | — | The configuration pertaining to a meeting space. |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"spacesId": {
"type": "string",
"description": "The space ID. For example, `jQCFfuBOdN5z`."
},
"updateMask": {
"type": "string",
"description": "Optional. Field mask used to specify the fields to be updated in the space. If update_mask isn't provided(not set, set with empty paths, or only has \"\" as paths), it defaults to update all fields provided with values in the request. Using \"*\" as update_mask will update all fields, including deleting fields not set in the request."
},
"config": {
"type": "object",
"description": "The configuration pertaining to a meeting space.",
"properties": {
"accessType": {
"type": "string",
"description": "Access type of the meeting space that determines who can join without knocking. Default: The user's default access settings. Controlled by the user's admin for enterprise users or RESTRICTED.",
"enum": [
"ACCESS_TYPE_UNSPECIFIED",
"OPEN",
"TRUSTED",
"RESTRICTED"
]
},
"entryPointAccess": {
"type": "string",
"description": "Defines the entry points that can be used to join meetings hosted in this meeting space. Default: EntryPointAccess.ALL",
"enum": [
"ENTRY_POINT_ACCESS_UNSPECIFIED",
"ALL",
"CREATOR_APP_ONLY"
]
},
"moderation": {
"type": "string",
"description": "The pre-configured moderation mode for the Meeting. Default: Controlled by the user's policies.",
"enum": [
"MODERATION_UNSPECIFIED",
"OFF",
"ON"
]
},
"moderationRestrictions": {
"type": "object",
"description": "Defines restrictions for features when the meeting is moderated."
},
"attendanceReportGenerationType": {
"type": "string",
"description": "Whether attendance report is enabled for the meeting space.",
"enum": [
"ATTENDANCE_REPORT_GENERATION_TYPE_UNSPECIFIED",
"GENERATE_REPORT",
"DO_NOT_GENERATE"
]
},
"artifactConfig": {
"type": "object",
"description": "Configuration related to meeting artifacts potentially generated by this meeting space."
}
}
}
},
"required": [
"PCID",
"spacesId"
]
}

